with GNATCOM.Dispinterface;

package MSHTML.DispIHTMLOptionButtonElement_Object is

   type DispIHTMLOptionButtonElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure setAttribute
     (This             : DispIHTMLOptionButtonElement_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      AttributeValue   : GNATCOM.Types.VARIANT;
      lFlags           : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free             : Boolean := True);

   function getAttribute
     (This             : DispIHTMLOptionButtonElement_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      lFlags           : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function removeAttribute
     (This             : DispIHTMLOptionButtonElement_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      lFlags           : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure Put_className
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_className
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_id
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_id
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_tagName
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_parentElement
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_style
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onhelp
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onhelp
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onclick
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onclick
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondblclick
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondblclick
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onkeydown
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onkeydown
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onkeyup
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onkeyup
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onkeypress
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onkeypress
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmouseout
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmouseout
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmouseover
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmouseover
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmousemove
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmousemove
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmousedown
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmousedown
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmouseup
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmouseup
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_document
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_title
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_title
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_language
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_language
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onselectstart
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onselectstart
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure scrollIntoView
     (This        : DispIHTMLOptionButtonElement_Type;
      varargStart : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free        : Boolean := True);

   function contains
     (This   : DispIHTMLOptionButtonElement_Type;
      pChild : GNATCOM.Types.VARIANT;
      Free   : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function Get_sourceIndex
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_recordNumber
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_lang
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_lang
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_offsetLeft
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_offsetTop
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_offsetWidth
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_offsetHeight
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_offsetParent
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_innerHTML
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_innerHTML
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_innerText
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_innerText
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_outerHTML
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_outerHTML
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_outerText
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_outerText
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure insertAdjacentHTML
     (This  : DispIHTMLOptionButtonElement_Type;
      where : GNATCOM.Types.VARIANT;
      html  : GNATCOM.Types.VARIANT;
      Free  : Boolean := True);

   procedure insertAdjacentText
     (This  : DispIHTMLOptionButtonElement_Type;
      where : GNATCOM.Types.VARIANT;
      text  : GNATCOM.Types.VARIANT;
      Free  : Boolean := True);

   function Get_parentTextEdit
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_isTextEdit
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure click
     (This : DispIHTMLOptionButtonElement_Type);

   function Get_filters
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondragstart
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondragstart
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   function toString
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onbeforeupdate
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onbeforeupdate
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onafterupdate
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onafterupdate
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onerrorupdate
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onerrorupdate
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onrowexit
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onrowexit
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onrowenter
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onrowenter
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondatasetchanged
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondatasetchanged
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondataavailable
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondataavailable
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondatasetcomplete
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondatasetcomplete
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onfilterchange
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onfilterchange
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_children
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_all
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_tabIndex
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_tabIndex
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure focus
     (This : DispIHTMLOptionButtonElement_Type);

   procedure Put_accessKey
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_accessKey
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onblur
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onblur
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onfocus
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onfocus
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onresize
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onresize
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure blur
     (This : DispIHTMLOptionButtonElement_Type);

   procedure addFilter
     (This : DispIHTMLOptionButtonElement_Type;
      pUnk : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   procedure removeFilter
     (This : DispIHTMLOptionButtonElement_Type;
      pUnk : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_clientHeight
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clientWidth
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clientTop
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clientLeft
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_value
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_value
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_type
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_name
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_name
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_checked
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_checked
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_defaultChecked
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_defaultChecked
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onchange
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onchange
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_disabled
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_disabled
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_status
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_status
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_indeterminate
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_indeterminate
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_form
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_dataFld
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_dataFld
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_dataSrc
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_dataSrc
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_dataFormatAs
     (This : DispIHTMLOptionButtonElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_dataFormatAs
     (This : DispIHTMLOptionButtonElement_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.DispIHTMLOptionButtonElement_Object;

